Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

Upgrade vSphere 4.1 to 5.1U1 with Nexus 1000v 4.2(1)SV1(4a) to 4.2(1)SV2(1.1a)

Hi,

I have a project require upgrade vSphere from 4.1 to 5.1U1 with Nexus 1000v from 4.2(1)SV1(4a) to 4.2(1)SV2(1.1a). I had already review the Nexus 1000v upgarde using the Cisco Nexus 1000v upgrade utility. And i knowed that require intermediate upgrade version "4.2(1)SV1(5.2)". I select the final upgrade version 4.2(1)SV2(1.1a) is because that also support 4.1 & 5.1. We have number of ESXi server require upgrade in different maintenance windows. So old version VEM & new version VEM will co-exist around one to two weeks.

After i review and write the draft planning, i try to build the virtual environment for confirm all upgrade procedure is smooth and no compatibility issue. After the test i have some question require confirm with yours as below.

1) Can new version of VSM 4.2(1)SV2(1.1a) backward compatibility with old versin of VEM 4.2(2)SV1(4a)?

My virtual environment evaluation result: That is compatible. Before upgrade VSM to intermediate version 4.2(1)SV1(5.2) and 4.2(1)SV2(1.1a), i verify by the command "show install all impact ...". I saw all VEM module show compatible on "VSM compatible" & "ESX compatible" column. And i try to create port-profile from the VSM, and that success show on the old version of VEM ESXi server. But that is good enough to proof fullly software compatible in my upgrade project? And any offical document mention about this?

2) Can old version VEM 4.2(1)SV1(4a) compatible co-exist with view version of VEM 4.2(1)SV2(1.1a)?

My virtual environment evaluation result: That is compatible. After upgrade VSM to 4.2(1)SV2(1.1a), i verify by the command "show module" and "show module <<module number>>". I can saw the new version of VEM and old version of VEM. And i create the port-profile from the VSM. Both old and view version of VEM ESXi server appear that prot-profile. And vMotion VM from old version of VEM to new version of VEM also success. But that is good enough to proof fully software compatible in my upgrade project and any other area i need to further verification?

Anybody can let me know more?

Thansk & Regards,

Jason Wong

Everyone's tags (2)
5 REPLIES
Cisco Employee

Upgrade vSphere 4.1 to 5.1U1 with Nexus 1000v 4.2(1)SV1(4a) to 4

Yes the older VEMs can be registered to the new VSM.  This should only be for the upgrade window & not perpetually.  New VSM feature only become available after all VEMs are upgraded and the 'feature level' command is issued.

New Member

Upgrade vSphere 4.1 to 5.1U1 with Nexus 1000v 4.2(1)SV1(4a) to 4

Hi Matthew,

Thanks, may i know more your meaning of "perpetually", if i left a number of VEM upgrade after one month, anything will be happen? and different VEM version can co-exist on single vmware cluster?

Thanks & Regards,

Jason Wong

Cisco Employee

Upgrade vSphere 4.1 to 5.1U1 with Nexus 1000v 4.2(1)SV1(4a) to 4

In an ideal world all VEMs would match the VSM version.  We certify dissimilar versions but only during a prolonged upgrade window - days or a few weeks.  It is not intended to run different versions for many months.  You will not be able to take advantage of any new features until all VEMs match the VSM version.

New Member

Upgrade vSphere 4.1 to 5.1U1 with Nexus 1000v 4.2(1)SV1(4a) to 4

Thanks for your clear answer Matthew,

One more question, is it VEM just communication with VSM (no communication with vCenter)?

Cisco Employee

Upgrade vSphere 4.1 to 5.1U1 with Nexus 1000v 4.2(1)SV1(4a) to 4

The majority of communication is VSM-VEM. There is a small amount of config (we call it Opaque Data) pushed from the vCenter or SCVMM to the VEM when the installation occurs.

663
Views
0
Helpful
5
Replies
CreatePlease login to create content